Package org.apache.sling.feature.cpconverter.handlers.slinginitialcontent

## Class BundleSlingInitialContentExtractContext

- java.lang.Object
- - org.apache.sling.feature.cpconverter.handlers.slinginitialcontent.BundleSlingInitialContentExtractContext

    public class BundleSlingInitialContentExtractContext
    extends Object

Holds various context variables for the BundleSlingInitialContentExtractor

### Constructor Summary

Constructors
`BundleSlingInitialContentExtractContext​(ContentPackage2FeatureModelConverter.SlingInitialContentPolicy slingInitialContentPolicy, @NotNull String path, @NotNull org.apache.sling.feature.ArtifactId bundleArtifactId, @NotNull JarFile jarFile, @NotNull ContentPackage2FeatureModelConverter converter, @Nullable String runMode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull org.apache.sling.feature.ArtifactId` `getBundleArtifactId()`
`@NotNull ContentPackage2FeatureModelConverter` `getConverter()`
`@NotNull JarFile` `getJarFile()`
`@NotNull Manifest` `getManifest()`
`@NotNull JcrNamespaceRegistry` `getNamespaceRegistry()`
`@NotNull String` `getPath()`
`@NotNull List<org.apache.sling.jcr.contentloader.PathEntry>` `getPathEntryList()`
`@Nullable String` `getRunMode()`
`ContentPackage2FeatureModelConverter.SlingInitialContentPolicy` `getSlingInitialContentPolicy()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleSlingInitialContentExtractContext

    public BundleSlingInitialContentExtractContext​(@NotNull
                                                   ContentPackage2FeatureModelConverter.SlingInitialContentPolicy slingInitialContentPolicy,
                                                   @NotNull
                                                   @NotNull String path,
                                                   @NotNull
                                                   @NotNull org.apache.sling.feature.ArtifactId bundleArtifactId,
                                                   @NotNull
                                                   @NotNull JarFile jarFile,
                                                   @NotNull
                                                   @NotNull ContentPackage2FeatureModelConverter converter,
                                                   @Nullable
                                                   @Nullable String runMode)
                                            throws IOException

Throws:
  `IOException`

### Method Detail

#### getSlingInitialContentPolicy

    @NotNull
    public ContentPackage2FeatureModelConverter.SlingInitialContentPolicy getSlingInitialContentPolicy()

#### getPath

    @NotNull
    public @NotNull String getPath()

#### getBundleArtifactId

    @NotNull
    public @NotNull org.apache.sling.feature.ArtifactId getBundleArtifactId()

#### getConverter

    @NotNull
    public @NotNull ContentPackage2FeatureModelConverter getConverter()

#### getRunMode

    @Nullable
    public @Nullable String getRunMode()

#### getJarFile

    @NotNull
    public @NotNull JarFile getJarFile()

#### getManifest

    @NotNull
    public @NotNull Manifest getManifest()

#### getNamespaceRegistry

    @NotNull
    public @NotNull JcrNamespaceRegistry getNamespaceRegistry()

#### getPathEntryList

    @NotNull
    public @NotNull List<org.apache.sling.jcr.contentloader.PathEntry> getPathEntryList()